"use strict";

var GO_Checkable = function(w,h,checkEvent){
	this.sprite = new Sprite(null,"Checkable");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,0,(w)?parseInt(w):15,(h)?parseInt(h):15);
	this.sprite.game_object = this; // no longer a generic GO
	
	this._makeCheckable(checkEvent);
};

GO_Checkable.prototype = new GameObject(
	new Sprite(
		null,
		"Checkable"
	),
	"Checkable"
	);

	GO_Checkable.prototype.interactions = 
		DEFINE_GAMEOBJECT_INTERACTIONS.CHECK;
